## ddrescue 1.03-1

=== Makefile ===
# Makefile for dd_rescue
# (c) garloff@suse.de, 99/10/09, GNU GPL
# $Id: Makefile,v 1.13 2003/12/03 01:30:29 garloff Exp $

VERSION = 1.03

DESTDIR = 

CC = gcc
CFLAGS = -O2 -Wall -g $(EXTRA_CFLAGS)
DEFINES = -DVERSION=\"$(VERSION)\"
INSTALL = install
INSTALLFLAGS = -s
prefix = $(DESTDIR)/usr
#INSTALLDIR = $(prefix)/bin
INSTALLDIR = $(DESTDIR)/bin
#MYDIR = dd_rescue-$(VERSION)
MYDIR = dd_rescue
TARGETS = dd_rescue
OBJECTS = dd_rescue.o
DOCDIR = $(prefix)/share/doc/packages

default: $(TARGETS)

dd_rescue: dd_rescue.c
	$(CC) $(CFLAGS) $(DEFINES) $< -o $@

clean:
	rm -f $(TARGETS) $(OBJECTS) core

distclean: clean
	rm -f *~

dist: distclean
	tar cvzf ../dd_rescue-$(VERSION).tar.gz -C.. --exclude=$(MYDIR)/CV* $(MYDIR)/

install: $(TARGETS)
	mkdir -p $(INSTALLDIR)
	$(INSTALL) $(INSTALLFLAGS) -o root -g root -m 755 $(TARGETS) $(INSTALLDIR)
	#$(INSTALL) -o root -g root -m 755 -d $(DOCDIR)/dd_rescue
	#$(INSTALL) -o root -g root -m 644 README.dd_rescue $(DOCDIR)/dd_rescue/

=== debian/changelog ===
ddrescue (1.03-1) unstable; urgency=low

  * New upstream release

 -- Ayman Negm <negm@debian.org>  Tue, 24 Feb 2004 19:34:20 +0100

ddrescue (1.02-1) unstable; urgency=low

  * Initial Release (Closes: #189249)

 -- Ayman Negm <a.negm@hamburg.de>  Wed, 16 Apr 2003 16:51:00 +0200

=== debian/control ===
Source: ddrescue
Section: utils
Priority: optional
Maintainer: Ayman Negm <negm@debian.org>
Build-Depends: debhelper (>> 4.0.0)
Standards-Version: 3.5.9

Package: ddrescue
Architecture: any
Depends: ${shlibs:Depends} ${misc:Depends}
Description: copies data from one file or block device to another
 dd_rescue is a tool to help you to save data from crashed partition.
 It tries to read and if it fails, it will go on with the next sectors
 where tools like dd will fail. If the copying process is interrupted
 by the user it is possible to continue at any position later.
 It can copy backwards.

## ddrescue 1.10

=== Makefile ===
# Makefile for dd_rescue
# (c) garloff@suse.de, 99/10/09, GNU GPL
# $Id: Makefile,v 1.16 2004/08/28 22:55:23 garloff Exp $

VERSION = 1.10

DESTDIR = 

CC = gcc
RPM_OPT_FLAGS = -O2 -Wall -g
CFLAGS = $(RPM_OPT_FLAGS) $(EXTRA_CFLAGS)
DEFINES = -DVERSION=\"$(VERSION)\"
INSTALL = install
INSTALLFLAGS = -s
prefix = $(DESTDIR)/usr
#INSTALLDIR = $(prefix)/bin
INSTALLDIR = $(DESTDIR)/bin
#MYDIR = dd_rescue-$(VERSION)
MYDIR = dd_rescue
TARGETS = dd_rescue
OBJECTS = dd_rescue.o
DOCDIR = $(prefix)/share/doc/packages
INSTASROOT = -o root -g root

default: $(TARGETS)

dd_rescue: dd_rescue.c
	$(CC) $(CFLAGS) $(DEFINES) $< -o $@

clean:
	rm -f $(TARGETS) $(OBJECTS) core

distclean: clean
	rm -f *~

dist: distclean
	tar cvzf ../dd_rescue-$(VERSION).tar.gz -C.. --exclude=$(MYDIR)/CV* $(MYDIR)/

install: $(TARGETS)
	mkdir -p $(INSTALLDIR)
	$(INSTALL) $(INSTALLFLAGS) $(INSTASROOT) -m 755 $(TARGETS) $(INSTALLDIR)
	#$(INSTALL) $(INSTASROOT) -m 755 -d $(DOCDIR)/dd_rescue
	#$(INSTALL) $(INSTASROOT) -g root -m 644 README.dd_rescue $(DOCDIR)/dd_rescue/

## ddrescue 1.12

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Makefile for dd_rescue
 # (c) garloff@suse.de, 99/10/09, GNU GPL
-# $Id: Makefile,v 1.16 2004/08/28 22:55:23 garloff Exp $
+# $Id: Makefile,v 1.18 2006/07/23 11:47:50 garloff Exp $
 
-VERSION = 1.10
+VERSION = 1.12
 
 DESTDIR =

## ddrescue 1.13

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Makefile for dd_rescue
 # (c) garloff@suse.de, 99/10/09, GNU GPL
-# $Id: Makefile,v 1.18 2006/07/23 11:47:50 garloff Exp $
+# $Id: Makefile,v 1.19 2007/03/18 14:23:51 garloff Exp $
 
-VERSION = 1.12
+VERSION = 1.13
 
 DESTDIR =

## ddrescue 1.14

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Makefile for dd_rescue
 # (c) garloff@suse.de, 99/10/09, GNU GPL
-# $Id: Makefile,v 1.19 2007/03/18 14:23:51 garloff Exp $
+# $Id: Makefile,v 1.20 2007/08/26 13:36:56 garloff Exp $
 
-VERSION = 1.13
+VERSION = 1.14
 
 DESTDIR =

## ddrescue 1.23

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,14 @@
 # Makefile for dd_rescue
 # (c) garloff@suse.de, 99/10/09, GNU GPL
-# $Id: Makefile,v 1.20 2007/08/26 13:36:56 garloff Exp $
+# $Id: Makefile,v 1.36 2010/10/11 09:37:37 garloff Exp $
 
-VERSION = 1.14
+VERSION = 1.23
 
 DESTDIR = 
 
 CC = gcc
 RPM_OPT_FLAGS = -O2 -Wall -g
 CFLAGS = $(RPM_OPT_FLAGS) $(EXTRA_CFLAGS)
-DEFINES = -DVERSION=\"$(VERSION)\"
 INSTALL = install
 INSTALLFLAGS = -s
 prefix = $(DESTDIR)/usr
@@ -21,11 +20,33 @@
 OBJECTS = dd_rescue.o
 DOCDIR = $(prefix)/share/doc/packages
 INSTASROOT = -o root -g root
+LIBDIR = /usr/lib
+COMPILER = $(shell $(CC) --version | head -n1)
+DEFINES = -DVERSION=\"$(VERSION)\"  -D__COMPILER__="\"$(COMPILER)\""
+OUT = -o $@
+
+ifeq ($(CC),wcl386)
+  CFLAGS = "-ox -wx $(EXTRA_CFLAGS)"
+  DEFINES = -dMISS_STRSIGNAL -dMISS_PREAD -dVERSION=\"$(VERSION)\" -d__COMPILER__="\"$(COMPILER)\""
+  OUT = ""
+endif
 
 default: $(TARGETS)
 
+libfalloc: dd_rescue.c
+	$(CC) $(CFLAGS) -DHAVE_FALLOCATE=1 -DHAVE_LIBFALLOCATE=1 $(DEFINES) $< -o dd_rescue -lfallocate
+
+libfalloc-static: dd_rescue.c
+	$(CC) $(CFLAGS) -DHAVE_FALLOCATE=1 -DHAVE_LIBFALLOCATE=1 $(DEFINES) $< -o dd_rescue $(LIBDIR)/libfallocate.a
+
+falloc: dd_rescue.c
+	$(CC) $(CFLAGS) -DHAVE_FALLOCATE=1 $(DEFINES) $< -o dd_rescue
+
 dd_rescue: dd_rescue.c
-	$(CC) $(CFLAGS) $(DEFINES) $< -o $@
+	$(CC) $(CFLAGS) $(DEFINES) $< $(OUT)
+
+strip: dd_rescue
+	strip -S $<
 
 clean:
 	rm -f $(TARGETS) $(OBJECTS) core
@@ -34,7 +55,7 @@
 	rm -f *~
 
 dist: distclean
-	tar cvzf ../dd_rescue-$(VERSION).tar.gz -C.. --exclude=$(MYDIR)/CV* $(MYDIR)/
+	tar cvzf ../dd_rescue-$(VERSION).tar.gz -C.. --exclude=$(MYDIR)/CV* --exclude $(MYDIR)/dd_rescue2 --exclude $(MYDIR)/.*.sw? $(MYDIR)
 
 install: $(TARGETS)
 	mkdir -p $(INSTALLDIR)

## ddrescue 1.99.13

=== debian/changelog ===
ddrescue (1.99.13-0kali2) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

  [ Arnaud Rebillout ]
  * New patch to not install executable as root

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 21 May 2025 18:21:52 +0700

ddrescue (1.99.13-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * Remove incorrect upstream metadata.
  * New upstream version 1.99.13
  * Only build on 64bit architectures.
  * ci: Disable 32bit in CI.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Wed, 10 May 2023 14:21:14 -0500

ddrescue (1.99.12-0kali1) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Update email address
  * Remove template comment and switch spaces to tabs

  [ Sophie Brun ]
  * New upstream version 1.99.12
  * Refresh patches
  * Set RAPTH in binary: *.so are private shared lib and don't have SONAME
  * Bump Standards-Version to 4.6.1 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 26 Aug 2022 09:55:39 +0200

ddrescue (1.99.11-0kali4) kali-dev; urgency=medium

  * Fix the patch Fix-the-build-for-armel.patch

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 17 Jun 2021 11:19:26 +0200

ddrescue (1.99.11-0kali3) kali-dev; urgency=medium

  * Fix armel build

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 17 Jun 2021 10:20:39 +0200

ddrescue (1.99.11-0kali2) kali-dev; urgency=medium

  * Remove useless build-dep python-all
  * Add a patch to fix build on armel

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 15 Jun 2021 17:50:56 +0200

ddrescue (1.99.11-0kali1) kali-dev; urgency=medium

  [ Sophie Brun ]
  * New upstream version 1.99.11
  * Refresh patches
  * Use debhelper-compat 13
  * Fix debian/copyright
  * Use version 4 in debian/watch
  * Bump Standards-Version to 4.5.1
  * Add superficial autopkgtest

  [ Kali Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 15 Jun 2021 14:28:35 +0200

ddrescue (1.99.8-0kali5) kali-experimental; urgency=medium

  * Fix syntax error in patch

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 14 Dec 2018 13:54:38 +0100

ddrescue (1.99.8-0kali4) kali-experimental; urgency=medium

  * Update patch for armel: use gcc -dumpmachine to identify the build system

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 14 Dec 2018 11:31:30 +0100

ddrescue (1.99.8-0kali3) kali-experimental; urgency=medium

  * Add a patch to try to build on armel

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 13 Dec 2018 15:41:59 +0100

ddrescue (1.99.8-0kali2) kali-dev; urgency=medium

  * Don't build plugin libddr_crypt for armel (not for this architecture
    and FTBFS)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 06 Dec 2018 15:48:47 +0100

ddrescue (1.99.8-0kali1) kali-dev; urgency=medium

  * Update debian/watch
  * New upstream version 1.99.8
  * Use debhelper 11
  * Bump Standards-Version to 4.2.1
  * Update debian/copyright
  * d/control: update the description
  * Add a patch to remove git usage during build
  * Add a patch to fix spelling errors
  * Add missing build-depends: libattr1-dev, libacl1-dev, liblzo2-dev,
    libssl-dev, python-all
  * Build with hardening bindnow
  * Update installation to use upstream Makefile
  * Remove useless debian/kali-ddrescue.desktop: it's not installed in the
    binary package and it's already provided by kali-menu

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 05 Dec 2018 16:16:02 +0100

ddrescue (1.28-1kali1) kali; urgency=low

  * Removed desktop file

 -- Mati Aharoni <muts@kali.org>  Sat, 15 Dec 2012 07:02:15 -0500

ddrescue (1.28-1kali0) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Mon, 12 Nov 2012 09:16:00 -0700

=== debian/control ===
Source: ddrescue
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13),
 libattr1-dev,
 libacl1-dev,
 liblzo2-dev,
 libssl-dev
Standards-Version: 4.6.2
Homepage: http://www.garloff.de/kurt/linux/ddrescue/
Vcs-Git: https://gitlab.com/kalilinux/packages/ddrescue.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/ddrescue

Package: ddrescue
Architecture: amd64 arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: data recovery and protection tool
 When your disk has crashed and you try to copy it over to another one,
 standard Unix tools like cp, cat, and dd will abort on every I/O error,
 dd_rescue does not.
 It optimizes copying by using large blocks as long as no errors occur
 and falls back to smaller blocks. It supports reverse direction copying
 (to approach a bad spot from the top), sparse copying, preallocating
 space, splice zerocopy, and bypassing the kernel pagecache with O_DIRECT.
 dd_rescue provides safe deletion of data by overwriting files (or better
 partitions/disks) multiple times with fast random numbers.
 With the ddr_hash plugin, it supports calculating a hash value (such as
 a sha256sum) or an HMAC during copying.

=== debian/tests/control ===
Test-Command: dd_rescue -h
Restrictions: superficial, allow-stderr

=== debian/watch ===
version=4

http://www.garloff.de/kurt/linux/ddrescue/ dd_rescue-(.*)\.(?:tar\.xz|tar\.bz2|tar\.gz|zip|tgz|tbz|txz)

## ddrescue 1.99.21

=== debian/changelog ===
ddrescue (1.99.21-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.99.21 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 03 Aug 2025 16:59:03 +0100

ddrescue (1.99.20-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.99.20 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 15 Jan 2025 14:50:44 +0100

ddrescue (1.99.17-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.99.17 release
  * Bump the debhelper-compat version
  * Bump the Standards-Version number
  * Drop debian/manpages and debian/docs file (no longer needed)

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 18 Nov 2024 23:49:10 +0100

ddrescue (1.99.13-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.99.13 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 19 Mar 2023 17:01:31 +0100

ddrescue (1.99.12-1kaisen) kaisen-packages; urgency=medium

  * Import 1.99.12 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 14 Aug 2022 16:38:29 +0100

ddrescue (1.99.11-2kaisen) kaisen-packages; urgency=medium

  * Add manpages
  * Build with no exec all checks
  * Remove the python-all package required to build the package

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 14 Jul 2022 05:18:43 +0100

ddrescue (1.99.11-1kaisen) kaisen-packages; urgency=medium

  * Update at 1.99.11

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 03 May 2021 17:42:27 +0200

ddrescue (1.99.10-1kaisen1) kaisen-testing; urgency=medium

  * First packaging for Kaisen Linux

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 26 Mar 2021 04:06:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: ddrescue
 Section: utils
 Priority: optional
-Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>
+Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
 Build-Depends: debhelper-compat (= 13),
  libattr1-dev,
  libacl1-dev,
  liblzo2-dev,
- libssl-dev
-Standards-Version: 4.6.2
+ libssl-dev,
+Standards-Version: 4.7.0
 Homepage: http://www.garloff.de/kurt/linux/ddrescue/
-Vcs-Git: https://gitlab.com/kalilinux/packages/ddrescue.git
-Vcs-Browser: https://gitlab.com/kalilinux/packages/ddrescue
+Vcs-Git: https://gitlab.com/kaisenlinux/packages/ddrescue.git
+Vcs-Browser: https://gitlab.com/kaisenlinux/packages/ddrescue
 
 Package: ddrescue
 Architecture: amd64 arm64

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	make md5
	make sha256
	make sha224
	make sha512
	make sha384
	make sha1
	make fuzz_lzo
	make find_nonzero
	make fmt_no
	make file_zblock
	make fiemap
	make pbkdf2
